apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: {{ vol_name }}
  namespace: {{ namespace }}
spec:
  accessModes: [ {{ vol_access_mode | default('ReadWriteOnce') }} ]
  resources:
    requests:
      storage: "{{ vol_size }}"
{% if (vol_access_mode | default('ReadWriteOnce')) == 'ReadWriteOnce' and rwo_storage is defined %}
  storageClassName: {{ rwo_storage }}
{% if vol_block | default(False) %}
  volumeMode: block
{% endif %}
{% elif (vol_access_mode | default('ReadWriteOnce')) == 'ReadWriteMany' and rwx_storage is defined %}
  storageClassName: {{ rwx_storage }}
{% endif %}
